aboutsummaryrefslogtreecommitdiffstats
path: root/testing/urlview/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-05-19 12:57:17 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-05-19 12:57:27 +0200
commit935c520927bc3dfeffeb7f9af703d5d45238b010 (patch)
tree15f4f9e72e76c01fe66bee7e225833dbc7a21e43 /testing/urlview/APKBUILD
parentbf18a08f0c87cee1872490947b5e31c51c5f4775 (diff)
downloadaports-935c520927bc3dfeffeb7f9af703d5d45238b010.tar.gz
aports-935c520927bc3dfeffeb7f9af703d5d45238b010.tar.bz2
aports-935c520927bc3dfeffeb7f9af703d5d45238b010.tar.xz
testing/urlview: new aport
Diffstat (limited to 'testing/urlview/APKBUILD')
-rw-r--r--testing/urlview/APKBUILD66
1 files changed, 66 insertions, 0 deletions
diff --git a/testing/urlview/APKBUILD b/testing/urlview/APKBUILD
new file mode 100644
index 0000000000..c418717e01
--- /dev/null
+++ b/testing/urlview/APKBUILD
@@ -0,0 +1,66 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=urlview
+# ghbump to update http://sprunge.us/bQYI
+_project="sigpipe/urlview"
+_sha=08767aa863cd27d1755ba0aff65b8cc1a0c1446a
+pkgver=20131023
+pkgrel=0
+pkgdesc="urlview is a program for extracting URLs from text files"
+url="https://github.com/sigpipe/urlview"
+arch="all"
+license="GPL"
+depends=""
+depends_dev="ncurses-dev"
+makedepends="$depends_dev automake autoconf libtool"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$_sha.tar.gz::https://github.com/sigpipe/urlview/archive/08767aa863cd27d1755ba0aff65b8cc1a0c1446a.tar.gz"
+
+_builddir="$srcdir/$pkgname-$_sha"
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ aclocal
+ automake --foreign --ignore-deps --add-missing
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "${pkgdir}"/etc/urlview \
+ "${pkgdir}"/usr/share/man/man1 \
+ "${pkgdir}"/usr/bin
+ make prefix="${pkgdir}"/usr \
+ mandir="${pkgdir}"/usr/share/man install || return 1
+ install -Dm755 url_handler.sh \
+ "${pkgdir}"/etc/urlview/url_handler.sh || return 1
+ install -Dm644 sample.urlview \
+ "${pkgdir}"/etc/urlview/system.urlview
+ ln -fs /etc/urlview/url_handler.sh \
+ "${pkgdir}"/usr/bin/url_handler.sh || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="5a88be952d8e4c835396926da9b22c3d urlview-08767aa863cd27d1755ba0aff65b8cc1a0c1446a.tar.gz"
+sha256sums="23d32e7f610601f012e06d79b206d4952259bdabe9aa64940c7e1bb8c0cb6519 urlview-08767aa863cd27d1755ba0aff65b8cc1a0c1446a.tar.gz"
+sha512sums="0fe27ec22e591a25b57150abe1e7181d8472e17e0305beda7fbf355dc6f80799193f7859ce5f18155adb3ee7f01657bbb8d4c307770b8a3d2fc4bc5b937646d6 urlview-08767aa863cd27d1755ba0aff65b8cc1a0c1446a.tar.gz"